function A = test1_matrizA(n)
% funcion preg1, test1, tema 6, S2-2012
% crear T usando create_sparse_trid
T = create_sparse_trid(n,4,-1,-1);
% identidad sparse
I = speye(n);
% matriz nula sparse
Theta = sparse(n,n);
% A sparse
A = n^2*[T -I Theta Theta;-I T -I Theta;Theta -I T -I;Theta Theta -I T];